[Backgroundrb-devel] rake test:plugins gives uninitialized constant RAILS_ROOT

Kevin W. English kenglish at camberhawaii.org
Thu Dec 20 19:40:16 EST 2007


Hello,

  Just upgraded to the the latest backgroundRb.I am getting an error 
when i run the task "rake test:plugin". Any idea why I am getting this?


Here is the error message:



/usr/bin/ruby1.8 -Ilib:test 
"/usr/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake/rake_test_loader.rb" 
"vendor/plugins/backgroundrb/test/master_worker_test.rb" 
"vendor/plugins/backgroundrb/test/backgroundrb_test.rb" 
"vendor/plugins/backgroundrb/test/meta_worker_test.rb"
/home/kenglish/workspace/brbtest/vendor/plugins/backgroundrb/lib/backgroundrb.rb:4: 
uninitialized constant RAILS_ROOT (NameError)
      from 
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in 
`gem_original_require'
      from 
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
      from ./vendor/plugins/backgroundrb/test/backgroundrb_test.rb:2
      from 
/usr/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake/rake_test_loader.rb:5:in 
`load'
      from 
/usr/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake/rake_test_loader.rb:5
      from 
/usr/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake/rake_test_loader.rb:5:in 
`each'
      from 
/usr/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake/rake_test_loader.rb:5
rake aborted!



-- 

Aloha,

Kevin English
Rails Evangelist 
Software Development and Integration Team
Camber Corporation
Honolulu, HI
Office:  808.237.3539
Fax:  808.237.3540




-- 
Aloha,

Kevin English
Rails Evangelist 
Software Development and Integration Team
Camber Corporation
Honolulu, HI
Office:  808.237.3539
Fax:  808.237.3540



More information about the Backgroundrb-devel mailing list